" Vim syntax file
" Language:	Maszyna EU07 scenery files
" Maintainer:	dx286 <dx286@tlen.pl>
" URL:		http://dx286.zzl.org/index.php?target=cpp
" Last change:	12.02.2012

if !exists("main_syntax")
	if version < 600
    		syntax clear
	elseif exists ("b:current_syntax")
	finish
endif
	let main_syntax = 'maszynascn'
endif

syn case ignore

syn keyword Scn_Tag sky endsky time endtime light endlight atmo endatmo
syn keyword Scn_Tag node endtrack endmodel endline endtraction
syn keyword Scn_Tag endtri enddynamic
syn keyword Scn_Tag event endevent origin endorigin
syn keyword Scn_Tag sound endsound event0 event1 event2 velocity

syn keyword Scn_Tag_Node nobody connected panstate headdriver reardriver
syn keyword Scn_Tag_Node track model lines triangles trainset dynamic traction
syn keyword Scn_Tag_Node triangle_strip eventlauncher endtrainset condition

syn keyword Scn_Tag_MTri material endmaterial

syn keyword Scn_None none

syn keyword Scn_Tag_Event animation trackvel updatevalues putvalues
syn keyword Scn_Tag_Event lights rotate getvalues multiple switch memcell

syn keyword Scn_Tag_Inc include end

syn keyword Scn_Tag_Finit firstinit

syn match Scn_Tag_Tri "ambient:"
syn match Scn_Tag_Tri "specular:"
syn match Scn_Tag_Tri "diffuse:"

syn match Scn_Semicolon ";"

" *.e3d || *.t3d
syn match Scn_Model   "\S*\.[te]3d"

" *.tga || *.dds
syn match Scn_Tex     "\S*\.\(tga\|dds\)"

" *.inc || *.scm
syn match Scn_Incfile "\S*\.\(inc\|scm\|scn\)"

" cd\* || db\* | pkp\* || road\*
syn match Scn_VDir "cd\\\S*"
syn match Scn_VDir "db\\\S*"
syn match Scn_VDir "pkp\\\S*"
syn match Scn_VDir "road\\\S*"

syn match Scn_Par "(p[0-9]*)"

syn region Scn_Comment start="//" skip="\\$" end="$" keepend contains=@Spell
syn region Scn_Comment start="/\*" skip="\\$" end="\*/" contains=@Spell

syn region Scn_Name 	start="//\$n" end="\n" oneline
syn region Scn_Image 	start="//\$i" end="\n" oneline
syn region Scn_Dscr	start="//\$d" end="\n" oneline
syn region Scn_TDscr	start="//\$o" end="\n" oneline

if version >= 508 || !exists("did_maszynascn_syn_inits")
	if version < 508
		let did_maszynascn_syn_inits = 1
		command -nargs=+ HiLink hi link <args>
	else
		command -nargs=+ HiLink hi def link <args>
	endif
	HiLink Scn_Comment Macro

	HiLink Scn_Name Label
	HiLink Scn_Image StorageClass
	HiLink Scn_Dscr Repeat
	HiLink Scn_TDscr Comment

	HiLink Scn_Par Macro

	HiLink Scn_VDir Include

	HiLink Scn_None Number

	HiLink Scn_Model String
	HiLink Scn_Incfile String

	HiLink Scn_Tag StorageClass
	HiLink Scn_Tag_Node Constant
	HiLink Scn_Tag_Event Constant
	HiLink Scn_Tag_Tri Constant
	HiLink Scn_Tag_MTri Operator

	HiLink Scn_Tex Special

	HiLink Scn_Tag_Inc Include
	HiLink Scn_Tag_Finit Function
	HiLink Scn_Semicolon PreCondit

	delcommand HiLink
endif

let b:current_syntax = "maszynascn"

if main_syntax == 'maszynascn'
	unlet main_syntax
endif

" vim: ts=8
